# GUI - Tk

```bash
sudo apt install perl-tk
```

```perl
#!/usr/bin/perl
use strict;
use utf8;
use Tk;

my $mw = MainWindow->new;
$mw->Label(-text => '안녕!')->pack;
$mw->Button(
    -text    => '종료',
    -command => sub { exit },
)->pack;
MainLoop;
```

https://metacpan.org/pod/distribution/Tk/pod/UserGuide.pod

## Layouts

### pack

### grid

### place

## Widgets

### Button

### Checkbutton

### Radiobutton

### Label

### Entry

### Scrollbar

### Listbox

### Text

### Canvas

### Scale

### Menubutton

### Menu

### Optionmenu

### Frame

### Toplevel